Bug 46774 - The uil utility doesn't work if bison is used
The uil utility doesn't work if bison is used
Status: CLOSED CURRENTRELEASE
Product: Red Hat Powertools
Classification: Retired
Component: openmotif (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-30 09:09 EDT by arjen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-30 09:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description arjen 2001-06-30 09:09:30 EDT
Description:

Using the default RH7.1 openmotif, the use of uil on
an otherwise correct uil file will produce:
Error: invalid module structure - check UIL module syntax

Info: no UID file was produced

Info: errors: 1   warings:0  informationals: 1

How Reproducible:
very

Steps to Reproduce:
1. Create a file test.uil
with contents
--------
module test
end module;
--------

2. Call: uil test.uil

Actual Results:
See description

Expected Results:
No viaual output, but a a.uid file generated

Additional Information:
	
The problem can be solved by using byacc as the yacc compiler
in stead of bison.  This can be modified in the configuration
files for linux (e.g. linux.cf)
Comment 1 Ngo Than 2001-07-04 10:15:18 EDT
It's fix in openmotif-2.1.30-9. You find it on ftp://people.redhat.com
Comment 2 Ngo Than 2001-07-04 10:15:36 EDT
It's fix in openmotif-2.1.30-9. You find it on ftp://people.redhat.com/than

Note You need to log in before you can comment on or make changes to this bug.